
# Oleksandr Gavenko's Emacs initialization script

## Installation

To install:

    make install

To download external packages:

    make install-packages

## Config files structure

I use `~/.emacs.d/init.d` as main entry point for customization. That file load
another files in such order:

`~/.emacs.d/.emacs-autogen`
:   Hold environment info discovered during installing. Automatically generated.

`~/.emacs.d/.emacs-pre`
:   For manually written customization (usually for updating load-path) which
    can affect on `.emacs-my`. Will not be overridden on install.

`~/.emacs.d/my/loaddefs.el`
:   Definition for my modes autoload functions. Automatically generated.

`~/.emacs.d/.emacs-custom`
:   For storing customization's by Emacs itself. Some settings from this file can
    effect on loaded Elisp files from .emacs-my. Will not be overridden on
    install.

`~/.emacs.d/.emacs-my`
:   Here main customization's is placed.

`~/.emacs.d/.emacs-post`
:   For storing connection settings, passwords and enabling modes added to
    load-path in `~/.emacs.d/.emacs-pre`. Will not be overridden on install.


